# RUN: not yaml2obj %s 2>&1 | FileCheck %s

--- !mach-o
FileHeader:      
  magic:           0xFEEDFACE
  cputype:         0x00000007
  cpusubtype:      0x80000003
  filetype:        0x00000002
  ncmds:           0
  sizeofcmds:      0
  flags:           0x00218085
  reserved:        0
...

# CHECK: error: unknown key 'reserved'
